WESNOTHD(6)

IME
wesnothd -- višeigrački mrežni domar "Boja za Vesnot"

PREGLED
wesnothd [-dv] [-c putanja] [-p port] [-t broj] [-T broj]
wesnothd -V

OPIS
Upravlja višeigračkim partijama "Boja za Vesnot". Pogledajte http://www.wesnoth.org/wiki/ServerAdministration za naredbe koje server prihvata preko klijenta (/query ...) ili fifoa.

OPCIJE

-c putanja, --config putanja
    kazuje domaru gde se nalazi postavna datoteka. Za sintaksu pogledajte odeljak POSTAVA SERVERA ispod. Postavu možete ponovo učitati slanjem SIGHUP serverskom procesu.

-d, --daemon
    pokreće wesnothd kao domar.

-h, --help
    govori vam šta čine opcije komandne linije.

--log-nivo=domen1,domen2,...
    postavlja nivo ozbiljnosti domena beleženja. all se može upotrebiti za poklapanje svih domena, a dostupni su: error, warning, info,debug. Podrazumevano se koristi error, osim za domen server gde info.

-p port, --port port
    vezuje server za navedeni port. Ako se port ne navede, podrazumevano se koristi 15000.

-t broj, --threads broj
    postavlja najveći broj radnih niti na čekanju za mrežni U/I (podrazumevano: 5, najviše: 30).

-T broj, --max-threads broj
    postavlja najveći broj radnih niti koje mogu biti stvorene; ako se zada 0, nema ograničenja (podrazumevano: 0).

-V, --version
    prikazuje broj verzije i izlazi.

-v, --verbose
    uključuje ispravljačko beleženje.

POSTAVA SERVERA

  Opšta sintaksa je:

[oznaka]

    ključ="vrednost"

    ključ="vrednost,vrednost,..."

[/oznaka]

  Globalni ključevi:

ban_save_file
    Puna ili relativna putanja do (gzipovane) datoteke koju server može da čita i piše. Zabrane će biti zapisivane u nju, i čitane po narednom pokretanju servera.

connections_allowed
    broj dozvoljenih veza sa iste IP adrese, 0 znači bezbroj (podrazumevno: 5)

disallow_names
    imena/nadimci koje server ne prihvata. Prihvataju se '*' i '?' kao džokeri (pogledajte glob(7) za više detalja). Podrazumevane vrednosti, koje se koriste ako se ništa ne zada, su: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    putanja do fifoa iz kojeg server može da čita naredbe (iste kao /query ... iz igre). Ako nije zadato, spada na podrazumevanu ugrađenu (/var/run/socket/wesnothd/socket).

max_messages
    broj dozvoljenih poruka za vreme messages_time_period (podrazumevano: 4)

messages_time_period
    vremenski period u sekundama koji se razmatra za otkrivanje poplave poruka (podrazumevano: 10 sekundi)

motd
    poruka dana

passwd
    lozinka za sticanje administratorskih ovlašćenja. Obično počinje sa 'admin '

replay_save_path
    Direktorijum gde server smešta snimke partija (ne zaboravite prateće /!). Podrazumevano je ” (prazno), što znači direktorijum u kojem je wesnothd pokrenut.

restart_command
    Naredba kojom server pokreće novi serverski proces pri naredbi 'restart'. (Može se izdati samo preko fifoa.)

save_replays
    Određuje da li server automatski upisuje snimke partija (podrazumevno: false).

versions_accepted
    Zapetama razdvojen spisak niski verzija koje server prihvata. Prihvataju se '*' i '?' kao džokeri (podrazumevana je verzija klijenta koja odgovara verziji servera)
    Primer: versions_accepted="*" prihvata bilo koju nisku verzije.

user_handler
    Ime rukovaoca korisnicima. Trenutno dostupni su 'forum' (server se povezuje sa phpBB bazom podataka foruma) i 'sample' (primerna izvedba sučelja rukovaoca korisnicima, ludi ste ako ovo upotrebite negde zaozbiljno). Podrazumevana vrednost je 'forum'. Takođe morate dodati odeljak [user_handler], v. ispod.

  Globalne oznake:

[redirect] oznaka za navođenje servera na koji se preusmeravaju neke verzije klijenta

    host
        adresa servera na koji se preusmerava

    port
        port na koji se povezuje

    version
        zapetama razdvojen spisak verzija koje se preusmeravaju. Ponaša se isto kao i versions_accepted u pogledu džokera

[ban_time] oznaka za određivanje zgodnih ključnih reči za privremene zabrane.

    name
        Ime koje upućuje na trajanje zabrane.

    time
        Trajanje. Format je %d[%s[%d%s[...]]] gde s iz %s označava sekunde, m minute, h sate, D dane, M mesece, Y godine, a d je broj. Ako nije dat modifikator, pretpostavljaju se minuti (m). Primer: time="1D12h30m" znači zabranu u trajanju od jednog dana, 12 sati i 30 minuta.

[proxy] oznaka koja govori serveru da se ponaša kao posrednik i prosleđuje zahteve povezanih klijenata na određeni server. Prihvata iste ključeve kao i [redirect]

[user_handler] podešava rukovalac korisnicima. Dostupnost ključeva zavisi od toga koji je rukovalac postavljen ključem user_handler. Ako u postavi nema odeljka [user_handler], server neće pružati uslugu registrovanja nadimaka.

    db_host
        (za user_handler=forum) ime domaćina servera baze podataka

    db_name
        (za user_handler=forum) ime baze podataka

    db_user
        (za user_handler=forum) ime korisnika pod kojim se prijavljuje u bazu podataka

    db_password
        (za user_handler=forum) lozinka zadatog korisnika

    db_users_table
        (za user_handler=forum) ime tabele u kojoj phpBB forumi upisuju podatke o korisnicima. Najverovatnije će to biti <prefiks-tabele>_users (npr. phpbb3_users).

    db_extra_table
        (za user_handler=forum) ime tabele u koju wesnothd upisuje svoje podatke o korisnicima. Ovu tabelu moraćete ručno da napravite, npr.: CREATE TABLE <ime-tabele>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (za user_handler=sample) vreme po kojem registrovani nadimak ističe (u danima).

[mail] podešava SMTP server kroz koji rukovalac korisnicima šalje poštu. Trenutno samo za primerni rukovalac.

    server
        Ime domaćina udaljenog servera

    username
        Korisničko ime za prijavljivanje na poštanski server.

    password
        Korisnikova lozinka.

    from_address
        Adresa za odgovore na vašu poštu.

    mail_port
        Port na kojem sluša poštanski server. Podrazumevano 25.

AUTOR
Napisao Dejvid Vajt (David White) <davidnwhite@verizon.net>. Uredili Nils Knojper (Nils Kneuper) <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> i Tomas Baumhauer (Thomas Baumhauer) <thomas.baumhauer@gmail.com>. Ovu uputnu stranicu prvobitno je napisao Siril Butor (Cyril Bouthors) <cyril@bouthors.org>.
Posetite zvaničnu domaću stranicu: http://www.wesnoth.org/

AUTORSKA PRAVA
Autorska prava © 2003-2007 Dejvid Vajt (David White) <davidnwhite@verizon.net>.
Ovo je slobodan softver; licenciran je pod uslovima OJL verzije 2 (GPLv2), koju izdaje Zadužbina za slobodni softver. Nema BILO KAKVE GARANCIJE; čak ni za KOMERCIJALNU VREDNOST ili ISPUNJAVANJE ODREĐENE POTREBE.

POGLEDATI JOŠ
wesnoth(6), wesnoth_editor(6)